Subject: vhdl comment-uncomment problem, apparently (or not) related to 14335 and 5997

From: John Chapple <[email-masked]>
Date: Thu, 14 Jan 2016 00:12:47 +0000

Hello Ladies and/or Gentlemen:

OS: Ubuntu 14.04 LTS
Emacs version: GNU emacs 24.3.1 (x86-64-pc-linux-gnu, GTK+ Version 3.10.7 of 2014-03-07 on lamiak, modified by Debian

Modifications by Debian are unknown to this user.  I do not know how to install software manually.  No add-ons were installed.

The software was installed from Ubuntu repository, unmodified, by Ubuntu's software installer.  I have not attempted any modifications.

In xterm, this emacs invocation produced an error message on the EMACS status line

emacs -0 failed

Related bugs: 14335, 5997, statements the numbered bugs have been addressed in Emacs 24.3

Now to the problem:

Original file:

-- this is a test comment

library ieee;
use        ieee.std_logic_1164.all

entity and8 is
port(
    in1, in2:    in    std_logic_vector(7 downto 0);
    y:            out    std_logic_vector(7 downto 0)
);
end;

-- this is another test comment

architecture struct_and8 of and8 is
begin
    y <= in1 and in2;
end;

End of original file.

Mark block of code with mouse, under VHDL drop down menu, select Comment, select (Un)Comment Out Region, this is the result:

-- *********beginning of commented code**********

---- this is a test comment

--library ieee;
--use        ieee.std_logic_1164.all

--entity and8 is
--port(
--    in1, in2:    in    std_logic_vector(7 downto 0);
--    y:            out    std_logic_vector(7 downto 0)
--);
--end;

---- this is another test comment

--architecture struct_and8 of and8 is
--begin
--    y <= in1 and in2;
--end;

---- *******end of commented code***********

The code is commented properly.

Mark block of code with mouse, under VHDL drop down menu, select Comment, select (Un)Comment Out Region, this is the result:

-- *******beginning of code that is commented and immediately uncommented***********

 this is a test comment

library ieee;
use        ieee.std_logic_1164.all

entity and8 is
port(
    in1, in2:    in    std_logic_vector(7 downto 0);
    y:            out    std_logic_vector(7 downto 0)
);
end;

 this is another test comment

architecture struct_and8 of and8 is
begin
    y <= in1 and in2;
end;

Emacs removed *all* comment markers.  I think this is overzealous.  The comment markers for the comment test lines should have been put back the way they were in the original file, that is, with one comment marker.

I think I am safe in saying all compliant VHDL compilers (any VHDL version) emit error message(s) on or about the lines containing the word 'test'.

If this variant to bugs 14335 and 5997 has been dealt with, please accept my apologies.  I didn't see it mentioned in the bug reports.

Cheers
John